<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: VicinityObjects Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d59/class_vicinity_objects.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">VicinityObjects Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>objects in vicinity - extended with secondary object which is parent of that <a class="el" href="../../d8/d83/class_object.html">Object</a>  
 <a href="../../df/d59/class_vicinity_objects.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aad3ece0abbec2b6f58966953a64c6212"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d59/class_vicinity_objects.html#aad3ece0abbec2b6f58966953a64c6212">VicinityObjects</a> ()</td></tr>
<tr class="separator:aad3ece0abbec2b6f58966953a64c6212"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaed7850efe899b12b28d3e1407e63352"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d59/class_vicinity_objects.html#aaed7850efe899b12b28d3e1407e63352">StoreVicinityObject</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> object, <a class="el" href="../../d8/d83/class_object.html">Object</a> parent=null)</td></tr>
<tr class="memdesc:aaed7850efe899b12b28d3e1407e63352"><td class="mdescLeft">&#160;</td><td class="mdescRight">stores VicinityObject to Hashmap - for storing of parent/child relationship  <a href="../../df/d59/class_vicinity_objects.html#aaed7850efe899b12b28d3e1407e63352">More...</a><br /></td></tr>
<tr class="separator:aaed7850efe899b12b28d3e1407e63352"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a88920ec6746b4a87c4fd1e4079fc3b7e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d59/class_vicinity_objects.html#a88920ec6746b4a87c4fd1e4079fc3b7e">TransformToVicinityObjects</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt; objects)</td></tr>
<tr class="memdesc:a88920ec6746b4a87c4fd1e4079fc3b7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">transform simple array of Objects to <a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a> hashmap  <a href="../../df/d59/class_vicinity_objects.html#a88920ec6746b4a87c4fd1e4079fc3b7e">More...</a><br /></td></tr>
<tr class="separator:a88920ec6746b4a87c4fd1e4079fc3b7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a69fc0a2fd5746805817e2709f08f7ead"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d59/class_vicinity_objects.html#a69fc0a2fd5746805817e2709f08f7ead">ClearVicinityObjects</a> ()</td></tr>
<tr class="separator:a69fc0a2fd5746805817e2709f08f7ead"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af04f749a9e39137d07495cec1dca02b2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d59/class_vicinity_objects.html#af04f749a9e39137d07495cec1dca02b2">GetVicinityObjects</a> ()</td></tr>
<tr class="memdesc:af04f749a9e39137d07495cec1dca02b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">return simple array of Objects in Vicinity  <a href="../../df/d59/class_vicinity_objects.html#af04f749a9e39137d07495cec1dca02b2">More...</a><br /></td></tr>
<tr class="separator:af04f749a9e39137d07495cec1dca02b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab525231a0bffdb7bca992a750c6fafb7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d59/class_vicinity_objects.html#ab525231a0bffdb7bca992a750c6fafb7">GetRawVicinityObjects</a> ()</td></tr>
<tr class="memdesc:ab525231a0bffdb7bca992a750c6fafb7"><td class="mdescLeft">&#160;</td><td class="mdescRight">return simple array of Objects in Vicinity  <a href="../../df/d59/class_vicinity_objects.html#ab525231a0bffdb7bca992a750c6fafb7">More...</a><br /></td></tr>
<tr class="separator:ab525231a0bffdb7bca992a750c6fafb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6fcbe3501fac72145c0388f16a35880f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d59/class_vicinity_objects.html#a6fcbe3501fac72145c0388f16a35880f">GetObject</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> i)</td></tr>
<tr class="memdesc:a6fcbe3501fac72145c0388f16a35880f"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns <a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a> Key  <a href="../../df/d59/class_vicinity_objects.html#a6fcbe3501fac72145c0388f16a35880f">More...</a><br /></td></tr>
<tr class="separator:a6fcbe3501fac72145c0388f16a35880f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa32592dec56e2a58f82fe4d81ab681e6"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d59/class_vicinity_objects.html#aa32592dec56e2a58f82fe4d81ab681e6">GetParent</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> i)</td></tr>
<tr class="memdesc:aa32592dec56e2a58f82fe4d81ab681e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns <a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a> Element  <a href="../../df/d59/class_vicinity_objects.html#aa32592dec56e2a58f82fe4d81ab681e6">More...</a><br /></td></tr>
<tr class="separator:aa32592dec56e2a58f82fe4d81ab681e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bd86d053e2b00334d536cd8fe960f84"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d59/class_vicinity_objects.html#a3bd86d053e2b00334d536cd8fe960f84">Count</a> ()</td></tr>
<tr class="separator:a3bd86d053e2b00334d536cd8fe960f84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a003563e0b01dc2b1832ad15aec66b193"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d59/class_vicinity_objects.html#a003563e0b01dc2b1832ad15aec66b193">Remove</a> (<a class="el" href="../../d8/d83/class_object.html">Object</a> object)</td></tr>
<tr class="separator:a003563e0b01dc2b1832ad15aec66b193"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62b90a38098fc81292d9804045c1ee8d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d59/class_vicinity_objects.html#a62b90a38098fc81292d9804045c1ee8d">Remove</a> (<a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt; objects)</td></tr>
<tr class="separator:a62b90a38098fc81292d9804045c1ee8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0c0e55347c01964b7098d183a14a3f80"><td class="memItemLeft" align="right" valign="top">private ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a>, <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/d59/class_vicinity_objects.html#a0c0e55347c01964b7098d183a14a3f80">m_VicinityObjects</a></td></tr>
<tr class="separator:a0c0e55347c01964b7098d183a14a3f80"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >objects in vicinity - extended with secondary object which is parent of that <a class="el" href="../../d8/d83/class_object.html">Object</a> </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00002">2</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aad3ece0abbec2b6f58966953a64c6212" name="aad3ece0abbec2b6f58966953a64c6212"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad3ece0abbec2b6f58966953a64c6212">&#9670;&#160;</a></span>VicinityObjects()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VicinityObjects::VicinityObjects </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00006">6</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a69fc0a2fd5746805817e2709f08f7ead" name="a69fc0a2fd5746805817e2709f08f7ead"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a69fc0a2fd5746805817e2709f08f7ead">&#9670;&#160;</a></span>ClearVicinityObjects()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VicinityObjects::ClearVicinityObjects </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00046">46</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a3bd86d053e2b00334d536cd8fe960f84" name="a3bd86d053e2b00334d536cd8fe960f84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bd86d053e2b00334d536cd8fe960f84">&#9670;&#160;</a></span>Count()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> VicinityObjects::Count </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00092">92</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a6fcbe3501fac72145c0388f16a35880f" name="a6fcbe3501fac72145c0388f16a35880f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6fcbe3501fac72145c0388f16a35880f">&#9670;&#160;</a></span>GetObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d83/class_object.html">Object</a> VicinityObjects::GetObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns <a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a> Key </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00081">81</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="aa32592dec56e2a58f82fe4d81ab681e6" name="aa32592dec56e2a58f82fe4d81ab681e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa32592dec56e2a58f82fe4d81ab681e6">&#9670;&#160;</a></span>GetParent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d83/class_object.html">Object</a> VicinityObjects::GetParent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns <a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a> Element </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00087">87</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="ab525231a0bffdb7bca992a750c6fafb7" name="ab525231a0bffdb7bca992a750c6fafb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab525231a0bffdb7bca992a750c6fafb7">&#9670;&#160;</a></span>GetRawVicinityObjects()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt; VicinityObjects::GetRawVicinityObjects </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>return simple array of Objects in Vicinity </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00069">69</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="af04f749a9e39137d07495cec1dca02b2" name="af04f749a9e39137d07495cec1dca02b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af04f749a9e39137d07495cec1dca02b2">&#9670;&#160;</a></span>GetVicinityObjects()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt; VicinityObjects::GetVicinityObjects </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>return simple array of Objects in Vicinity </p>
<p >filters out non-takeable items (won't be shown in vicinity)</p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00052">52</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a62b90a38098fc81292d9804045c1ee8d" name="a62b90a38098fc81292d9804045c1ee8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62b90a38098fc81292d9804045c1ee8d">&#9670;&#160;</a></span>Remove() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VicinityObjects::Remove </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt;&#160;</td>
          <td class="paramname"><em>objects</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00102">102</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a003563e0b01dc2b1832ad15aec66b193" name="a003563e0b01dc2b1832ad15aec66b193"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a003563e0b01dc2b1832ad15aec66b193">&#9670;&#160;</a></span>Remove() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VicinityObjects::Remove </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00097">97</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="aaed7850efe899b12b28d3e1407e63352" name="aaed7850efe899b12b28d3e1407e63352"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaed7850efe899b12b28d3e1407e63352">&#9670;&#160;</a></span>StoreVicinityObject()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VicinityObjects::StoreVicinityObject </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>object</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>parent</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>stores VicinityObject to Hashmap - for storing of parent/child relationship </p>
<p >completely remove items that are being placed or are holograms</p>
<p >ignores plain objects</p>
<p >init of <a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a> - object, parent(if exists)</p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00012">12</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<a id="a88920ec6746b4a87c4fd1e4079fc3b7e" name="a88920ec6746b4a87c4fd1e4079fc3b7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a88920ec6746b4a87c4fd1e4079fc3b7e">&#9670;&#160;</a></span>TransformToVicinityObjects()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void VicinityObjects::TransformToVicinityObjects </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d8/d83/class_object.html">Object</a> &gt;&#160;</td>
          <td class="paramname"><em>objects</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>transform simple array of Objects to <a class="el" href="../../df/d59/class_vicinity_objects.html" title="objects in vicinity - extended with secondary object which is parent of that Object">VicinityObjects</a> hashmap </p>

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00034">34</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a0c0e55347c01964b7098d183a14a3f80" name="a0c0e55347c01964b7098d183a14a3f80"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c0e55347c01964b7098d183a14a3f80">&#9670;&#160;</a></span>m_VicinityObjects</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt;<a class="el" href="../../d8/d83/class_object.html">Object</a>, <a class="el" href="../../d8/d83/class_object.html">Object</a>&gt; VicinityObjects::m_VicinityObjects</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d9f/_action_targets_8c_source.html#l00004">4</a> of file <a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/<a class="el" href="../../d2/d9f/_action_targets_8c_source.html">ActionTargets.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../df/d59/class_vicinity_objects.html">VicinityObjects</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
